export declare const MAX_FILE_NAME_LENGTH = 31;
export declare enum NameError {
    EMPTY = "Please enter a valid name",
    LENGTH_EXCEEDED = "The name is too long, it should not exceed 31 characters",
    SHOULD_START_WITH_LETTER = "The name can only start with a letter or a Japanese character",
    INVALID = "Invalid name"
}
export declare function validateName(name: string): boolean;
export declare function validateServerSide(val?: string): any;
export declare function validateValue(value: string, type: string): string;
